org.apache.tools.ant.taskdefs.condition

## Class IsTrue

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.taskdefs.condition.IsTrue

- All Implemented Interfaces:
    java.lang.Cloneable, Condition

      public class IsTrue
      extends ProjectComponent
      implements Condition

  Condition that tests whether a given string evals to true
  Since:
    Ant 1.5

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IsTrue()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `eval()` Is this condition true?
    `void` | `setValue(boolean value)` set the value to be tested; let ant eval it to true/false

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IsTrue

          public IsTrue()

  - ### Method Detail

    - #### setValue

          public void setValue(boolean value)

      set the value to be tested; let ant eval it to true/false
      Parameters:
        `value` - the value to test

    - #### eval

          public boolean eval()
                       throws BuildException

      Description copied from interface: `Condition`
      Is this condition true?
      Specified by:
        `eval` in interface `Condition`
      Returns:
        the value
      Throws:
        `BuildException` - if someone forgot to spec a value